using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using com.hnshituo.core.webapp.vo;

namespace Common
{
    public class MeterBaseTimeSpaceService
    {
        public RESTfulResult<List<MeterBaseTimeSpace>> doQueryWf(MeterBaseTimeSpace info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<MeterBaseTimeSpace>>> rm = db.doOption<PageList<List<MeterBaseTimeSpace>>>("meterbasetimespaces", "/", new object[] { info }, 0);

            RESTfulResult<List<MeterBaseTimeSpace>> result = new RESTfulResult<List<MeterBaseTimeSpace>>();
            result.Succeed = rm.Succeed;
            result.Status = rm.Status;
            result.Message = rm.Message;
            result.ResultMessage = rm.ResultMessage;
            result.Code = rm.Code;
            if (rm.Data != null && rm.Data.list != null && rm.Data.list.Count > 0)
            {
                result.Data = rm.Data.list;
            }

            return result;
        }

    }
}
